For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • GETGet user
      • GETGet user verification details
      • POSTUpdate user status
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIIdentity

Get user

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/transactions/:transactionId/user
GET
/api/v1/transactions/:transactionId/user
$curl https://sandbox.trustly.one/api/v1/transactions/transactionId/user \
> -u "<username>:<password>"
1{
2 "user": {
3 "name": "Robert Allen Brown",
4 "address": [
5 {
6 "address1": "567 Cedar St",
7 "city": "Denver",
8 "state": "Colorado",
9 "zip": "80201",
10 "country": "United States"
11 }
12 ],
13 "phone": [
14 "+1 210-987-6543"
15 ],
16 "email": [
17 "robert.brown@example.com"
18 ],
19 "dateOfBirth": "1989-12-21",
20 "taxId": "301456789",
21 "driverLicense": {
22 "number": "124ABC",
23 "state": "CA"
24 },
25 "eligible": true
26 }
27}
Retrieve the User object associated with the Trustly ID authorization transaction.
Was this page helpful?
Previous

Verify Customer

Next

Get user verification details

Built with

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired
Transaction ID retrieved from a Trustly Authorization transaction.

Query parameters

expandlist of enumsOptional
A field in the API response to be expanded in order for more details to be provided. Supported values: * `segmentedName`: returns a segmented version of the name field returned in the response.
Allowed values:

Response

OK
namestring
The full name of the user
addresslist of objects
Array of addresses associated with the user.
phonelist of strings
Array of phone numbers associated with the user.
emaillist of strings

Array of e-mail addresses associated with the user.

dateOfBirthstring

The date of birth of the user in the format YYYY-MM-DD

taxIdstring

The user’s government issued tax ID e.g. SSN (US) or SIN (CA)

deceasedboolean

If true, then the user is deceased.

driverLicenseobject
A driver's license.
eligibleboolean
Indicates if the user has got a successful result in all verifications and is eligible.
createdAtinteger
Timestamp representing the time the User Object was created.
updatedAtinteger
Timestamp representing the time the User Object was last updated.
segmentedNameobject
The segmented version of a given name.

Errors

400
Bad Request Error

A field in the API response to be expanded in order for more details to be provided. Supported values:

  • segmentedName: returns a segmented version of the name field returned in the response.